org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraph.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.star.StarGraph.Builder

- Enclosing class:
    StarGraph

      public static class StarGraph.Builder
      extends Object

  StarGraph builder with options to customize its internals

- - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `StarGraph` | `build()` Deprecated. As of release 3.3.5, replaced by `create()`.
    `StarGraph.Builder` | `compareIdsUsingStrings(boolean b)` Tell StarGraph whether to invoke `Object.toString()` on vertex and edge IDs during comparisons (including "does an element with this ID already exist" checks).
    `StarGraph` | `create()`
    `StarGraph.Builder` | `internStrings(boolean b)` Tell StarGraph whether to invoke `String.intern()` on label and property key strings.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### internStrings

          public StarGraph.Builder internStrings(boolean b)

      Tell StarGraph whether to invoke `String.intern()` on label and property key strings. The default value is deliberately undefined, so that StarGraph's internals may freely change. However, if this builder method is never invoked, then the builder is guaranteed to use whatever default value StarGraph's other public constructors or factory methods would use. This option exists solely for performance tuning in specialized use-cases.
      Parameters:
        `b` - true to allow interning, false otherwise
      Returns:
        this builder

    - #### compareIdsUsingStrings

          public StarGraph.Builder compareIdsUsingStrings(boolean b)

      Tell StarGraph whether to invoke `Object.toString()` on vertex and edge IDs during comparisons (including "does an element with this ID already exist" checks). The default value is deliberately undefined, so that StarGraph's internals may freely change. However, if this builder method is never invoked, then the builder is guaranteed to use whatever default value StarGraph's other public constructors or factory methods would use. This option exists solely for performance tuning in specialized use-cases.
      Parameters:
        `b` -
      Returns:

    - #### build

          @Deprecated
          public StarGraph build()

      Deprecated. As of release 3.3.5, replaced by `create()`.
      Returns:
        a new StarGraph

    - #### create

          public StarGraph create()

      Returns:
        a new StarGraph

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.